Page MenuHomePhabricator

RfC: Graph
Closed, ResolvedPublic

Description

We need to decide on the Graph RfC.

Event Timeline

Qgil created this task.Oct 8 2014, 9:12 PM
Qgil assigned this task to Yurik.
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added a project: Architecture.
Qgil changed Security from none to None.
Qgil added subscribers: Unknown Object (MLST), Qgil.
Qgil moved this task from Inbox to Ready to Go on the Architecture board.Oct 8 2014, 9:18 PM
Qgil added a comment.Oct 8 2014, 9:44 PM

Daniel interested in this
Brion interested also
need to flesh out the implementation details -- I think we're basically > fine with the premise but need to kick it back for more info
Schedule later

https://www.mediawiki.org/wiki/Architecture_committee/2014-10-08#RFCs_to_triage

Qgil edited projects, added TechCom-RFC; removed Architecture.Oct 22 2014, 8:45 PM
brion added a subscriber: brion.Feb 4 2015, 8:06 PM

Did a little working with Yuri on the extension at dev summit, will catch up more on the state of things shortly.

brion claimed this task.Feb 4 2015, 8:37 PM
brion added a project: Architecture.

Assigning this to myself to review and update the RfC.

brion added a comment.Feb 4 2015, 8:42 PM

note per IRC chat: current demo graphs are at http://graph.wmflabs.org/

@brion, the latest graph ext code has been deployed to mediawiki.org, so you can use it directly. See demo, or the documentation

daniel moved this task from Inbox to Under discussion on the TechCom-RFC board.Feb 27 2015, 3:54 PM
daniel moved this task from Under discussion to Backlog on the TechCom-RFC board.
Yurik added a comment.May 5 2015, 6:31 PM

Graph is deployed, Graphoid is deployed. For now, graphoid fallback is used only by the older browsers, but I plan to start using it for anonymous user viewing as well. A proper announcement will be sent shortly. Should this issue be closed?

Spage moved this task from Ready to Go to Inbox on the Architecture board.May 6 2015, 7:40 PM
brion added a comment.May 6 2015, 8:17 PM

This should be pretty much ready to go yeah -- I'll do a quick look at status in case I have any remaining notes. :)

brion removed brion as the assignee of this task.Sep 2 2015, 8:04 PM

Removing assignment from some tasks I'm not actively working on. Volunteers welcome, I'm happy to help if pinged!

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 2 2015, 8:04 PM
Qgil removed a subscriber: Qgil.Sep 3 2015, 9:10 AM
Yurik closed this task as Resolved.Dec 2 2015, 11:30 PM
Yurik claimed this task.

Long since implemented, not relevant any more.